package de.samdev.colorrunner.screens.menu.impl;

import com.badlogic.gdx.graphics.Color;

import de.samdev.colorrunner.CRGame;
import de.samdev.colorrunner.game.world.map.provider.EndlessMapProvider;
import de.samdev.colorrunner.game.world.map.provider.MapProvider;
import de.samdev.colorrunner.screens.gameScreen.GameScreen;
import de.samdev.colorrunner.screens.menu.BaseMenu;
import de.samdev.colorrunner.screens.menu.impl.elements.CRMenuRectangle;

public class LevelSelectMenu extends BaseMenu {

    @Override
    protected void init() {

        for (int x = 0; x < 6; x++) {
            for (int y = 0; y < 4; y++) {
                add(new CRMenuRectangle(48 + (32+128)*x, 48 + (32+112)*y, 128, 128, Color.YELLOW));
            }
        }


    }

    @Override
    public void touchDown(int screenX, int screenY) {
        CRGame.Inst().setScreen(new GameScreen(new EndlessMapProvider(System.currentTimeMillis())));
    }
}

